GLS ShipIT 5.0.17 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeResponseType Class Reference

## Public Member Functions
GLSExitCode | getExitCode ()
void | setExitCode (GLSExitCode value)
List< GLSParcelShop > | getParcelShops ()

## Protected Attributes
GLSExitCode | exitCode
List< GLSParcelShop > | parcelShops

## Detailed Description

Java class for GetParcelShopByCountryCodeResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopByCountryCodeResponseType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ExitCode" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSExitCode"/>
            <element name="ParcelShops" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSParcelShop" maxOccurs="5000" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file GetParcelShopByCountryCodeResponseType.java.

## Member Function Documentation

## ◆ getExitCode()

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeResponseType.getExitCode | ( |  | ) |

Gets the value of the exitCode property.

Returns
  possible object is GLSExitCode

Definition at line 52 of file GetParcelShopByCountryCodeResponseType.java.

## ◆ getParcelShops()

List<GLSParcelShop> eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeResponseType.getParcelShops | ( |  | ) |

Gets the value of the parcelShops property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parcelShops property.

For example, to add a new item, do as follows:

       getParcelShops().add(newItem);

Objects of the following type(s) are allowed in the list GLSParcelShop

Definition at line 90 of file GetParcelShopByCountryCodeResponseType.java.

## ◆ setExitCode()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeResponseType.setExitCode | ( | GLSExitCode | value | ) |

Sets the value of the exitCode property.

Parameters

  value | allowed object is GLSExitCode

Definition at line 64 of file GetParcelShopByCountryCodeResponseType.java.

## Member Data Documentation

## ◆ exitCode

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeResponseType.exitCode
| protected

Definition at line 40 of file GetParcelShopByCountryCodeResponseType.java.

## ◆ parcelShops

List<GLSParcelShop> eu.glsgroup.ws.parcelshopsearch.GetParcelShopByCountryCodeResponseType.parcelShops
| protected

Definition at line 42 of file GetParcelShopByCountryCodeResponseType.java.

The documentation for this class was generated from the following file:

- GetParcelShopByCountryCodeResponseType.java